Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the helma.Chart prototype
To use this optional module, its repository needs to be added to the application, for example by calling app.addRepository('modules/helma/Chart.js')
helma Chart(fpath, prefix, sheetName)
Creates a new instance of helma.Chart
parameters

String | fpath | The path to the spreadsheet file
String | prefix | An optional prefix to use for all stylesheet classes within the rendered table
String | sheetName | The name of the sheet within the spreadsheet file to render. If this argument is omitted, the first sheet is rendered.

methods

- render()

- renderAsString()

Methods
helma.Chart. render()
Renders the Excel spreadsheet as XHTML table.
helma.Chart. renderAsString()
Returns the spreadsheet as rendered XHTML table.
returns

| The rendered spreadsheet table

helma. Chart.example(file)
A simple example for using helma.Chart that renders the passed file as XHTML table to response.
parameters

String | file | The path to the Excel spreadsheet file

Tue, 25 Nov 2008 16:50:20 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar